发新帖

Python2 还是 Python3?

[复制链接]
484 21

快来加入 TensorFlowers 大家庭!

您需要 登录 才可以下载或查看,没有帐号?加入社区

x
大家用 Tensorflow 的时候用的是哪一个 Python 版本呀?
请问个有什么优劣,各有什么坑?
谢谢~
我知道答案 回答被采纳将会获得10 金币 已有21人回答
本楼点评(0) 收起

精彩评论28

crayfish  TF荚荚  发表于 2018-4-16 13:55:55 | 显示全部楼层
我觉得用python3好,我的原则是有新的不用旧的
至于有人说3的资源不如2的多,个人不大在乎,网上随便查查,就能把语法改过来,虽然有点麻烦,也坚持这么做
本楼点评(0) 收起
M丶Sulayman  TF豆豆  发表于 2018-4-16 17:18:09 | 显示全部楼层
2X和3X没多少区别,只有一些很少用的包区别较大
本楼点评(0) 收起
谜藏  TF荚荚  发表于 2018-4-16 17:54:28 | 显示全部楼层
装个 anaconda 管理环境就好,Py2 和 Py3 都能用。
楼上说 Py2 的资源不多,实际上我目前就发现 OpenCV 。OpenCV 3 已经支持了 Python3,但是 OpenCV 从 2 到 3 本身也挖了一些坑没填。
总体而言使用 Python3 是大趋势,再者 Python 2.7 往后的 2.x 版本好像也支持 Py3 的语法。
本楼点评(0) 收起
掏粪男孩  TF荚荚  发表于 2018-4-16 22:22:29 | 显示全部楼层
Python3 是大势所趋,比如NumPy就要不支持Python2了
本楼点评(0) 收起
Radial  TF荚荚  发表于 2018-4-17 08:28:49 来自手机  | 显示全部楼层
谜藏 发表于 2018-4-16 17:54
装个 anaconda 管理环境就好,Py2 和 Py3 都能用。
楼上说 Py2 的资源不多,实际上我目前就发现 OpenCV 。 ...

是的
本楼点评(0) 收起
TF-boy  TF荚荚  发表于 2018-4-17 08:42:05 | 显示全部楼层
看你需求,长期开发py3,短期使用py2
本楼点评(4) 收起
Tensorflower_攸岚  TF荚荚  发表于 2018-4-17 11:26:28 来自手机  | 显示全部楼层
3.6里面print变成了print()
本楼点评(0) 收起
yhcheer  TF荚荚  发表于 2018-4-17 12:27:23 | 显示全部楼层
当然是py3
学新不学旧
本楼点评(0) 收起
小白  TF荚荚  发表于 2018-4-17 15:17:30 | 显示全部楼层
电脑上已经有python2.7了,就直接用2了。如果是团队一起,那就用2,如果自己学习开发就用3呗。
本楼点评(0) 收起
ccuuiiccaann  TF荚荚  发表于 2018-4-17 16:39:58 | 显示全部楼层
本人是python3。感觉2有点被官方自己“嫌弃” 发布3的时候都不兼容2了,是不是也暗示3才是趋势。
本楼点评(1) 收起
XuChunling  TF荚荚  发表于 2018-4-17 17:57:41 | 显示全部楼层
tf16开始,慢慢向python3转了,不太支持python2
本楼点评(0) 收起
Ianna  TF荚荚  发表于 2018-4-18 00:09:53 | 显示全部楼层
3 吧,向前看。
本楼点评(0) 收起
asyz  TF荚荚  发表于 2018-4-18 15:38:04 | 显示全部楼层
3.X系列大势所趋,放弃无谓的抵抗吧
本楼点评(0) 收起
Jumanji  TF荚荚  发表于 2018-4-18 18:03:48 | 显示全部楼层
三!!!
三!!!
三!!!
本楼点评(0) 收起
gmaso  TF荚荚  发表于 2018-4-19 08:38:48 来自手机  | 显示全部楼层
本帖最后由 gmaso 于 2018-4-19 08:50 编辑

如果没有充足的理由需要用python2,就用python3
既然楼主在这问了这个问题,就说明没有需求去用python2,那就用python3吧,不要犹豫
本楼点评(0) 收起
yesseecity  TF荚荚  发表于 2018-4-19 08:45:15 | 显示全部楼层
當然是python3 啊
換個比喻

你不會想回去用windows 95
本楼点评(0) 收起
yao_great  TF荚荚  发表于 2018-4-19 09:59:41 | 显示全部楼层
我是从2转到3的,长久来看,还是3更好一些。
numpy:
到2018年12月31日为止,所有的NumPy版本都将完全支持Python2和Python3。
从2019年1月1日开始,任何新的功能版本都只支持Python3,by 地图鱼。
本楼点评(0) 收起
hbbliyong  TF荚荚  发表于 2018-4-19 13:57:11 | 显示全部楼层
必须3啊,时代在进步!人也要往前看
本楼点评(0) 收起
Loner  TF荚荚  发表于 2018-4-19 14:11:20 | 显示全部楼层
我觉得这个问题已经没啥好讨论的了   Python那边放出过消息,2020年2.x将不更新了
本楼点评(0) 收起
您需要登录后才可以回帖 登录 | 加入社区

本版积分规则

快速回复 返回顶部 返回列表